/**
    Copyright (C) 2003  Michael Ahlberg, Mns Rullgrd

    Licensed under the Open Software License version 2.0
**/

#include <tcmath.h>

extern void
tcreduce(tcfraction_t *f)
{
    int n = f->num;
    int d = f->den;

    while(n){
	int t = n;
	n = d % n;
	d = t;
    }
    
    f->num /= d;
    f->den /= d;
}
