/**
    Copyright (C) 2003  Michael Ahlberg, Mns Rullgrd

    Licensed under the Open Software License version 2.0
**/

#ifndef _TCPRIOQ_H
#define _TCPRIOQ_H

#include <tc.h>
#include <tctypes.h>

typedef struct tcprioq tcprioq_t;

extern tcprioq_t *tcprioq_new(int size, int lock, tccompare_fn cmp);
extern int tcprioq_add(tcprioq_t *pq, void *data);
extern int tcprioq_get(tcprioq_t *pq, void **ret);
extern int tcprioq_items(tcprioq_t *pq);
extern void tcprioq_free(tcprioq_t *pq);

#endif
