/**
    Copyright (C) 2001  Michael Ahlberg, Mns Rullgrd

    Licensed under the Open Software License version 2.0
**/

#include <stdlib.h>
#include <stdio.h>
#include <errno.h>
#include <unistd.h>

extern char *gethostname_a(void){
  char *name;
  int r, len = 128;

  name = malloc(len);
  while((r = gethostname(name, len)) < 0){
    if(errno == ENAMETOOLONG){
      len *= 2;
      name = realloc(name, len);
    }
    else {
      break;
    }
  }

  if(r < 0)
    return NULL;
  else
    return name;
}
